Package bitel.billing.server.contract.bean.find

# Class SearchContract

java.lang.Object
bitel.billing.server.contract.bean.find.SearchContract

public final class SearchContract extends Object
универсальный поиск договоров поисковики надо будет раскидать по модулям наверно и перевести idealer и mps на него

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_RESULT`
  `final int`
  `pos`
  `protected static final int`
  `REGIME_LIKE`
  `protected static final int`
  `REGIME_NORMAL`
  `protected static final int`
  `REGIME_OFF`
  `protected static final int`
  `REGIME_REGEXP`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SearchContract(SearchContractModule search, int mid, int pid, int pos, SearchConvertPattern[] pattern, int regime, long groups, String patternTitle, boolean contractPeriodCheck)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<Contract>`
  `findContract(Connection con, String param, Calendar date, StringBuilder report)`
  `long`
  `getGroups()`
  `int`
  `getMid()`
  `String`
  `getPatternTitle()`
  `int`
  `getPid()`
  `int`
  `getRegime()`
  `boolean`
  `isContractPeriodCheck()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_RESULT

    public static final int MAX_RESULT
    See Also:
      - Constant Field Values

  - ### REGIME_OFF

    protected static final int REGIME_OFF
    See Also:
      - Constant Field Values

  - ### REGIME_NORMAL

    protected static final int REGIME_NORMAL
    See Also:
      - Constant Field Values

  - ### REGIME_LIKE

    protected static final int REGIME_LIKE
    See Also:
      - Constant Field Values

  - ### REGIME_REGEXP

    protected static final int REGIME_REGEXP
    See Also:
      - Constant Field Values

  - ### pos

    public final int pos

- ## Constructor Details

  - ### SearchContract

    protected SearchContract(SearchContractModule search, int mid, int pid, int pos, SearchConvertPattern[] pattern, int regime, long groups, String patternTitle, boolean contractPeriodCheck)

- ## Method Details

  - ### findContract

    public final List<Contract> findContract(Connection con, String param, Calendar date, StringBuilder report)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMid

    public int getMid()

  - ### getRegime

    public int getRegime()

  - ### getGroups

    public long getGroups()

  - ### getPatternTitle

    public String getPatternTitle()

  - ### getPid

    public int getPid()

  - ### isContractPeriodCheck

    public boolean isContractPeriodCheck()